$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://gitlab.com/librewolf-community/browser/windows/uploads/7d33a67eec4fe94ed7f45492b02a6b1b/librewolf-96.0.3.en-US.win64-setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url64bit      = $url64

  softwareName  = 'LibreWolf'

  checksum64    = '37ee5db78edd7fe975a55a94b45a24d061f29e3d6a6d1895b17dcbb67188ff66'
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

try {
  Install-ChocolateyPackage @packageArgs
} catch  {
  if($_.Exception.Message -match "Exit code was '2'") {
    throw "The installer exited with code 2. This means LibreWolf is probably still running. Close LibreWolf and try again."
  } else {
    throw $_.Exception
  }
}
